org.eclipse.emf.cdo.view

## Class CDORegistrationHandler.Default

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDORegistrationHandler.Default

- All Implemented Interfaces:
    CDORegistrationHandler
  Enclosing interface:
    CDORegistrationHandler

      public static class CDORegistrationHandler.Default
      extends java.lang.Object
      implements CDORegistrationHandler

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDORegistrationHandler

      `CDORegistrationHandler.Default`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default(CDOView view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `protected void` | `doDispose(CDOView view)`
    `protected void` | `doInitialize(CDOView view)`
    `CDOView` | `getView()`
    `boolean` | `isDisposed()`
    `void` | `objectCollected(CDOView view, CDOID id)` Called by the view for each garbage-collected object.
    `void` | `objectDeregistered(CDOView view, CDOObject object)` Called by the view for each deregistered object.
    `void` | `objectRegistered(CDOView view, CDOObject object)` Called by the view for each registered object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default(CDOView view)

  - ### Method Detail

    - #### getView

          public final CDOView getView()

    - #### isDisposed

          public final boolean isDisposed()

    - #### dispose

          public void dispose()

    - #### objectRegistered

          public void objectRegistered(CDOView view,
                                       CDOObject object)

      Called by the view for each registered object.

      Also called during initialization for already loaded objects; `isDisposed()` returns `true` in these cases.

      Specified by:
        `objectRegistered` in interface `CDORegistrationHandler`

    - #### objectDeregistered

          public void objectDeregistered(CDOView view,
                                         CDOObject object)

      Called by the view for each deregistered object.

      Also called during dispose for already loaded objects; `isDisposed()` returns `true` in these cases.

      Specified by:
        `objectDeregistered` in interface `CDORegistrationHandler`

    - #### objectCollected

          public void objectCollected(CDOView view,
                                      CDOID id)

      Called by the view for each garbage-collected object.
      Specified by:
        `objectCollected` in interface `CDORegistrationHandler`

    - #### doInitialize

          protected void doInitialize(CDOView view)

    - #### doDispose

          protected void doDispose(CDOView view)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html